Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class DnDConstants

    java.lang.Object
      |
      +--java.awt.dnd.DnDConstants

public final class DnDConstants
extends Object

This class contains constant values representing the type of action(s) to be performed by a Drag and Drop operation.

Since:
  1.2

Field Summary
`static int` | `ACTION_COPY` An `int` representing a "copy" action.
`static int` | `ACTION_COPY_OR_MOVE` An `int` representing a "copy" or "move" action.
`static int` | `ACTION_LINK` An `int` representing a "link" action.
`static int` | `ACTION_MOVE` An `int` representing a "move" action.
`static int` | `ACTION_NONE` An `int` representing no action.
`static int` | `ACTION_REFERENCE` An `int` representing a "reference" action (synonym for ACTION_LINK).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_NONE

    public static final int ACTION_NONE

  An `int` representing no action.

  See Also:
    Constant Field Values

### ACTION_COPY

    public static final int ACTION_COPY

  An `int` representing a "copy" action.

  See Also:
    Constant Field Values

### ACTION_MOVE

    public static final int ACTION_MOVE

  An `int` representing a "move" action.

  See Also:
    Constant Field Values

### ACTION_COPY_OR_MOVE

    public static final int ACTION_COPY_OR_MOVE

  An `int` representing a "copy" or "move" action.

  See Also:
    Constant Field Values

### ACTION_LINK

    public static final int ACTION_LINK

  An `int` representing a "link" action. The link verb is found in many, if not all native DnD platforms, and the actual interpretation of LINK semantics is both platform and application dependent. Broadly speaking, the semantic is "do not copy, or move the operand, but create a reference to it". Defining the meaning of "reference" is where ambiguity is introduced. The verb is provided for completeness, but its use is not recommended for DnD operations between logically distinct applications where misinterpretation of the operations semantics could lead to confusing results for the user.

  See Also:
    Constant Field Values

### ACTION_REFERENCE

    public static final int ACTION_REFERENCE

  An `int` representing a "reference" action (synonym for ACTION_LINK).

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.